Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.optaplanner.core.config.localsearch.decider.acceptor
Enum AcceptorType

    java.lang.Object
      java.lang.Enum<AcceptorType>
          org.optaplanner.core.config.localsearch.decider.acceptor.AcceptorType

All Implemented Interfaces:
  Serializable, Comparable<AcceptorType>

    public enum AcceptorType

extends Enum<AcceptorType>

Enum Constant Summary
`ENTITY_TABU`
`HILL_CLIMBING`
`LATE_ACCEPTANCE`
`LATE_SIMULATED_ANNEALING` Deprecated.
`MOVE_TABU`
`SIMULATED_ANNEALING`
`SOLUTION_TABU`
`STEP_COUNTING_HILL_CLIMBING`
`UNDO_MOVE_TABU`
`VALUE_TABU`

Method Summary
`static AcceptorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AcceptorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HILL_CLIMBING

    public static final AcceptorType HILL_CLIMBING

### ENTITY_TABU

    public static final AcceptorType ENTITY_TABU

### VALUE_TABU

    public static final AcceptorType VALUE_TABU

### MOVE_TABU

    public static final AcceptorType MOVE_TABU

### UNDO_MOVE_TABU

    public static final AcceptorType UNDO_MOVE_TABU

### SOLUTION_TABU

    public static final AcceptorType SOLUTION_TABU

### SIMULATED_ANNEALING

    public static final AcceptorType SIMULATED_ANNEALING

### LATE_ACCEPTANCE

    public static final AcceptorType LATE_ACCEPTANCE

### STEP_COUNTING_HILL_CLIMBING

    public static final AcceptorType STEP_COUNTING_HILL_CLIMBING

### LATE_SIMULATED_ANNEALING

    @Deprecated
    public static final AcceptorType LATE_SIMULATED_ANNEALING

  Deprecated.

Method Detail

### values

    public static AcceptorType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AcceptorType c : AcceptorType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AcceptorType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.